Bug 1565972 - [abrt] cinnamon: gtk_socket_filter_func(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: gtk_socket_filter_func(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f2479c0035c3c3d923a91571a58...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 08:27 UTC by Arjen Heidinga
Modified: 2018-09-21 00:20 UTC (History)
3 users (show)

Fixed In Version: cinnamon-3.8.4-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-11 17:00:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (84.71 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: cgroup (341 bytes, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: core_backtrace (28.96 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: dso_list (3.54 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: environ (1.82 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: maps (113.26 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: mountinfo (4.25 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: open_fds (5.31 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-04-11 08:27 UTC, Arjen Heidinga
no flags Details
File: backtrace (117.22 KB, text/plain)
2018-05-15 08:02 UTC, Arjen Heidinga
no flags Details

Description Arjen Heidinga 2018-04-11 08:27:04 UTC
Description of problem:
Clicked on an icon in the systemtray

Version-Release number of selected component:
cinnamon-3.6.8-0.7.20180328git8262210.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        cinnamon --replace
crash_function: gtk_socket_filter_func
executable:     /usr/bin/cinnamon
journald_cursor: s=3ac12b74af4c4557b4feb3271f9ec6a5;i=2902;b=50872e6a5c9642319bb82d6313088eaa;m=bf5ae45a7;t=5698e24bd92d9;x=77f8624b82a3d70f
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gtk_socket_filter_func at gtksocket.c:1394
 #1 gdk_event_apply_filters at gdkeventsource.c:79
 #2 gdk_event_source_translate_event at gdkeventsource.c:205
 #3 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #4 gdk_display_get_event at gdkdisplay.c:438
 #10 meta_run at core/main.c:542

Potential duplicate: bug 1550945

Comment 1 Arjen Heidinga 2018-04-11 08:27:09 UTC
Created attachment 1420219 [details]
File: backtrace

Comment 2 Arjen Heidinga 2018-04-11 08:27:11 UTC
Created attachment 1420220 [details]
File: cgroup

Comment 3 Arjen Heidinga 2018-04-11 08:27:13 UTC
Created attachment 1420221 [details]
File: core_backtrace

Comment 4 Arjen Heidinga 2018-04-11 08:27:14 UTC
Created attachment 1420222 [details]
File: cpuinfo

Comment 5 Arjen Heidinga 2018-04-11 08:27:16 UTC
Created attachment 1420223 [details]
File: dso_list

Comment 6 Arjen Heidinga 2018-04-11 08:27:17 UTC
Created attachment 1420224 [details]
File: environ

Comment 7 Arjen Heidinga 2018-04-11 08:27:19 UTC
Created attachment 1420225 [details]
File: exploitable

Comment 8 Arjen Heidinga 2018-04-11 08:27:20 UTC
Created attachment 1420226 [details]
File: limits

Comment 9 Arjen Heidinga 2018-04-11 08:27:23 UTC
Created attachment 1420227 [details]
File: maps

Comment 10 Arjen Heidinga 2018-04-11 08:27:24 UTC
Created attachment 1420228 [details]
File: mountinfo

Comment 11 Arjen Heidinga 2018-04-11 08:27:26 UTC
Created attachment 1420229 [details]
File: open_fds

Comment 12 Arjen Heidinga 2018-04-11 08:27:28 UTC
Created attachment 1420230 [details]
File: proc_pid_status

Comment 13 Arjen Heidinga 2018-05-15 08:02:26 UTC
Similar problem has been detected:

Clicked on nextcloud icon in systemtray

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: gtk_socket_filter_func
executable:     /usr/bin/cinnamon
journald_cursor: s=fdcab6a2caa44fc28b60a97bf7956c90;i=319b9;b=d2cceaac685f4fe7b6b71ae1cb479fd2;m=11feb01e;t=56c39fd0be41e;x=5216ae26aa1a6339
kernel:         4.16.8-300.fc28.x86_64
package:        cinnamon-3.8.2-1.fc28
reason:         cinnamon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Arjen Heidinga 2018-05-15 08:02:29 UTC
Created attachment 1436729 [details]
File: backtrace

Comment 15 Fedora Update System 2018-06-08 12:35:08 UTC
cinnamon-3.8.4-1.fc28 cinnamon-screensaver-3.8.2-1.fc28 cinnamon-menus-3.8.2-1.fc28 cinnamon-settings-daemon-3.8.3-1.fc28 muffin-3.8.2-1.fc28 nemo-3.8.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c42f385b9

Comment 16 Fedora Update System 2018-06-09 22:03:36 UTC
cinnamon-3.8.4-1.fc28, cinnamon-menus-3.8.2-1.fc28, cinnamon-screensaver-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.3-1.fc28, muffin-3.8.2-1.fc28, nemo-3.8.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c42f385b9

Comment 17 Fedora Update System 2018-06-11 17:00:51 UTC
cinnamon-3.8.4-1.fc28, cinnamon-menus-3.8.2-1.fc28, cinnamon-screensaver-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.3-1.fc28, muffin-3.8.2-1.fc28, nemo-3.8.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 christ_cb 2018-09-21 00:20:03 UTC
Similar problem has been detected:

Was using the google chrome web browser and suddenly cinnamon crashed

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        cinnamon --replace
crash_function: gtk_socket_filter_func
executable:     /usr/bin/cinnamon
journald_cursor: s=af209d63a423475498aef46091a7d27f;i=732d;b=e2bbbc43d2b642a2b6b3bd226ae247ae;m=8d73e98;t=57656617353e8;x=48ad10bbf5894fea
kernel:         4.18.7-200.fc28.x86_64
package:        cinnamon-3.8.8-1.fc28
reason:         cinnamon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.